Sending an invoice or credit note
Prerequisites
- Valid JSON with metadata
- Banqup permissions
- Delivery channels are installed and activated in the Network Connectors app
Terminology
Step 1: Verify legal unit
To confirm the client company is active (administrativeStatus: "A").
Endpoint: network/documents/spaces/connectors/afnor/v1/siren/code-insee:{{siren}}
Path parameter:
siren
Requires a JSON request body (see
curlexample below).
curl -L -g GET 'https://{{serverURL}}/network/documents/spaces/connectors/afnor/v1/siren/code-insee:{{siren}}' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_TOKEN'
Successful response:
{
}
Step 2: Identify routing parameters
To resolve the destination platform type (WK or DFH) and routing identifiers.
Endpoint: /network/documents/spaces/connectors/afnor/v1/directory-line/code:{{addressingIdentifier}}
Path parameter:
spaceId
Requires a JSON request body (see
curlexample below).
curl -L -g GET 'https://{{serverURL}}/network/documents/spaces/connectors/afnor/v1/directory-line/code:{{addressingIdentifier}}' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_TOKEN'
Successful response:
{
}
Step 3: Transmit payload
Endpoint: /datastore/documents/transaction/v2/spaces/{spaceId}/connections/{connectionId}
Path parameters:
spaceIdconnectionId
curl -L 'https://{{serverURL}}/datastore/documents/transaction/v2/spaces/{spaceId}/connections/{connectionId}' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_TOKEN'
Successful response:
{
"type": "business",
"id": "dc416b68-eeac-430f-a4fa-0441ae1b1768",
"globalIdentifiers": {
"be:en": "0428074917",
"be:vat": "BE0428074917",
"global:email": [
"john@example.com"
],
"global:participantId": "9925:BE0428074917"
},
"assignedAccountId": "000001",
"alias": "UP",
"connectionStatus": "CONNECTED",
"relationTypes": [
"CUSTOMER"
],
"addresses": {
"main": {
"streetName": "St-Hendriksvoorplein",
"buildingNumber": "44",
"postalCode": "1200",
"city": "Sint-Lambrechts-Woluwe",
"country": "Belgium",
"countryCode": "BE"
},
"registration": {
"country": "Belgium",
"countryCode": "BE"
}
},
"tags": [
"favorite",
"liked"
],
"active": true,
"createdAt": "2026-04-14T13:27:29.059239Z",
"metadata": {
"logo": "https://somelinks.com/logo.jpg",
"notes": "some notes",
"website": "https://mycompanywebsite.com",
"industry": "Agriculture, Forestry And Fishing",
"department": "Accounting"
},
"connectors": [
{
"name": "peppol",
"active": true,
"settings": {
"matches": {
"docTypes": [
{
"value": "urn:oasis:names:specification:ubl:schema:xsd:ApplicationResponse-2::ApplicationResponse##urn:fdc:peppol.eu:poacc:trns:invoice_response:3::2.1",
"scheme": "busdox-docid-qns"
},
{
"value": "urn:oasis:names:specification:ubl:schema:xsd:ApplicationResponse-2::ApplicationResponse##urn:fdc:peppol.eu:poacc:trns:mlr:3::2.1",
"scheme": "busdox-docid-qns"
},
{
"value": "urn:oasis:names:specification:ubl:schema:xsd:CreditNote-2::CreditNote##urn:cen.eu:en16931:2017#compliant#urn:fdc:peppol.eu:2017:poacc:billing:3.0::2.1",
"scheme": "busdox-docid-qns"
},
{
"value": "urn:oasis:names:specification:ubl:schema:xsd:CreditNote-2::CreditNote##urn:cen.eu:en16931:2017#compliant#urn:fdc:peppol.eu:2017:poacc:selfbilling:3.0::2.1",
"scheme": "busdox-docid-qns"
},
{
"value": "urn:oasis:names:specification:ubl:schema:xsd:Invoice-2::Invoice##urn:cen.eu:en16931:2017#compliant#urn:fdc:peppol.eu:2017:poacc:billing:3.0::2.1",
"scheme": "busdox-docid-qns"
},
{
"value": "urn:oasis:names:specification:ubl:schema:xsd:Invoice-2::Invoice##urn:cen.eu:en16931:2017#compliant#urn:fdc:peppol.eu:2017:poacc:selfbilling:3.0::2.1",
"scheme": "busdox-docid-qns"
}
],
"participantId": {
"value": "9925:BE0428074955",
"scheme": "iso6523-actorid-upis"
}
}
},
"namespace": "com.unifiedpost.btx.connectors",
"extensionId": "baf65c82-e645-4c75-89f1-69df0c017ec3"
},
{
"name": "email",
"active": true,
"settings": {
"email": "john@example.com"
},
"namespace": "com.unifiedpost.btx.connectors",
"extensionId": "c1fc7056-dfb3-4e55-9922-8fc76473a17e"
}
],
"displayName": "ABC Group",
"legalName": "ABC Group",
"tradeName": "ABC",
"businessType": "ENTERPRISE"
}